Skip to main content
POST
/
networks
/
billings
/
affiliates
/
invoicestable
Find Partner Invoices (Advanced)
curl --request POST \
  --url https://api.eflow.team/v1/networks/billings/affiliates/invoicestable \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "search_terms": [],
  "filters": {
    "status": "unpaid"
  }
}
'
{
  "invoices": [
    {
      "network_affiliate_invoice_id": 123,
      "network_id": 123,
      "network_affiliate_id": 123,
      "network_affiliate_name": "<string>",
      "affiliate_invoice_status": "paid",
      "start_time": "<string>",
      "end_time": "<string>",
      "timezone_id": 123,
      "balance": 123,
      "billed": 123,
      "paid": 123,
      "currency_id": "<string>",
      "payment_terms": 123,
      "is_hidden_affiliate": true,
      "public_notes": "<string>",
      "internal_notes": "<string>",
      "payment_type": "<string>",
      "is_payable": true,
      "payment_status": "<string>",
      "paid_date": 123,
      "time_created": 1734455015,
      "time_saved": 1734455015
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}
Retrieve a paginated list of partner (affiliate) invoices. Supports search filters, sorting, and pagination to help you find and browse invoices programmatically. Filter by affiliate IDs, invoice IDs, date ranges, balance ranges, status, and payment terms.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

Body

application/json
search_terms
object[]

Search terms are optional but can be used to look for specific words.

filters
object

Filters are optional but are usually used to narrow down the set of invoices returned. They can be used individually or combined in a single request.

Response

200 - application/json
invoices
object[]
paging
object